<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 15:56:26
 * 微信类
 */
namespace app\index\controller;

use app\index\logic\companylogic;
use think\Controller;

class Company extends Base
{
    /**
     * 新建数据
     * 20220118
     * wj
     */
    public function newinfo()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->newinfo($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 根据id获取信息
     * 20220118
     * wj
     */
    public function getinfobyid()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->getinfobyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 根据id修改信息
     * 20220118
     * wj
     */
    public function updatebyid()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->updatebyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 根据id获取全部信息 包括岗位
     * 20220118
     * wj
     */
    public function getinfowitchinventbyid()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->getinfowitchinventbyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 获取本次活动全部公司总数
     * 20220122
     * wj
     */
    public function getcountbyparty()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->getcountbyparty($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
}
