<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 15:22:04
 * 微信类
 */
namespace app\index\controller;

use app\index\logic\inventlogic;
use think\Controller;

class Invent extends Base
{
    /**
     * 新建信息
     * 20220119
     * wj
     */
    public function newinfo()
    {
        $param = request()->param();
        $l_i = new inventlogic();
        $result = $l_i->newinfo($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 获取数据根据id
     * 20220119
     * wj
     */
    public function getinfobyid()
    {
        $param = request()->param();
        $l_i = new inventlogic();
        $result = $l_i->getinfobyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 获取列表根据id
     * 20220119
     * wj
     */
    public function getlist()
    {
        $param = request()->param();
        $l_i = new inventlogic();
        $result = $l_i->getlistbywhere($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 修改数据根据id
     * 20220119
     * wj
     */
    public function updatebyid()
    {
        $param = request()->param();
        $l_i = new inventlogic();
        $result = $l_i->updatebyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }

    /**
     * 获取本次活动全部职位总数
     * 20220122
     * wj
     */
    public function getcountbyparty()
    {
        $param = request()->param();
        $l_i = new inventlogic();
        $result = $l_i->getcountbyparty($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }

}
