<?php
/*
 * @Author: wang jun
 * @Date: 2022-01-18 10:57:14
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-19 17:28:58
 * 微信类
 */
namespace app\index\controller;

use app\index\logic\resumelogic;
use think\Controller;

class Resume extends Base
{
    /**
     * 新增简历
     * 20220119
     * wj
     */
    public function newinfobyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 新增教育背景
     * 20220119
     * wj
     */
    public function saveebbyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newebinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 新增工作经历
     * 20220119
     * wj
     */
    public function savewebyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->newweinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        } else {
            return backjson(200, $result['data']);
        }
    }
    /**
     * 获取数据根据openid
     * 20220119
     * wj
     */
    public function getinfobyopenid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->getinfobyopenid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 用户投递简历
     * 20220119
     * wj
     */
    public function sendresume()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->sendresume($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
    /**
     * 根据条件 查投递简历记录
     *
     * @return void
     */
    public function getsendedresumebywhere()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->getsendedresumebywhere($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        $rlist = [];
        $list = $result['data'];
        $l_r = new resumelogic();
        foreach ($list as $key => $value) {
            $where = ['id' => $value['resume_id']];
            $result = $l_r->getallinfobyid($where);
            if (1 == $result['status']) {
                $rlist[] = $result['data'];

            }
        }
        return backjson(200, $rlist);
    }
    /**
     * 修改投递状态 根据投递的id
     * 20220127
     * wj
     * */
    public function updatesendstatusbyid()
    {
        $param = request()->param();
        $l_r = new resumelogic();
        $result = $l_r->updatesendstatusbyid($param);
        if (1 != $result['status']) {
            return backjson(0, $result['msg']);
        }
        return backjson(200, $result['data']);
    }
}
